Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

Cb Response: "detected an older version 3.x Error" After Upgrading From 5.x or 6.x

Cb Response: "detected an older version 3.x Error" After Upgrading From 5.x or 6.x

Environment

Cb Response Upgrade from 5.x or 6.x to 6.1.2

Note: This solution does not apply to customers that are upgrading from 3.x

Symptoms

Detected an older version 3.0.1.130605.35 of cb-enterprise data schema

2017-10-24 13:02:40,112 ERROR [cb.maintenance.cbupgrade.main] Unable to upgrade from 3.0.1.130605.35 (<3.2.0) to 6.1.2.170707.1845.

Please contact support for further instruction.

Cause

/var/cb/data/SCHEMA_VERSION is missing or has the incorrect permissions

Resolution

  1. Verify that cat /usr/share/cb/VERSION lists the correct version
  2. Verify that the /var/cb/data drive is mounted on the minion
    df -h
  3. Create the /var/cb/data/SCHEMA_VERSION file with -rw-r--r-- and cb cb permissions with the full build version listed in /usr/share/cb/VERSION
    Example:
    6.1.2.170911.1257
  4. Run /usr/share/cb/cbupgrade utility again
Labels (1)
Was this article helpful? Yes No
No ratings
Article Information
Author:
Creation Date:
‎10-27-2017
Views:
749
Contributors